TagLib::MP4::QtChapterList Class Reference

`#include <mp4qtchapterlist.h>`

Inheritance diagram for TagLib::MP4::QtChapterList:
[legend]
Collaboration diagram for TagLib::MP4::QtChapterList:
[legend]

## Public Member Functions

bool | read (TagLib::File *file)
bool | write (TagLib::File *file)
bool | remove (TagLib::File *file)
Public Member Functions inherited from TagLib::MP4::ChapterHolder
ChapterList | chapters () const
void | setChapters (const ChapterList &chapters)
bool | isModified () const
void | setModified (bool chaptersModified)

## Additional Inherited Members

Protected Attributes inherited from TagLib::MP4::ChapterHolder
ChapterList | chapterList
bool | modified = false

## Detailed Description

Reads, writes, and removes QuickTime-style chapter tracks from MP4 files. A QT chapter track is a disabled text track (`hdlr` type `"text"`) referenced by a `chap` track-reference in the audio track's `tref` box. This format is understood by QuickTime, iTunes, Final Cut, Logic, DaVinci Resolve, Twisted Wave, and most other Apple/macOS software.

The existing `MP4ChapterList` class handles Nero-style `chpl` atoms, which are a different (and less widely supported) chapter format.

Chapter times use the same 100-nanosecond unit convention as `MP4ChapterList` so that existing `Chapter` / `ChapterList` types can be shared.

## Member Function Documentation

## read()

bool TagLib::MP4::QtChapterList::read | ( | TagLib::File * | file | ) |

Reads chapter markers from the QuickTime chapter track in the already-opened file. Returns `false` if the file has no chapter track.

## remove()

bool TagLib::MP4::QtChapterList::remove | ( | TagLib::File * | file | ) |

Removes the QuickTime chapter track and its `tref/chap` reference from the already-opened file. Returns `true` on success, or if no chapter track exists.

## write()

bool TagLib::MP4::QtChapterList::write | ( | TagLib::File * | file | ) |

Writes chapter markers as a QuickTime chapter track to the already-opened file, replacing any existing chapter track. Returns `true` on success.

The documentation for this class was generated from the following file:

- mp4qtchapterlist.h